# WOK
TKWOK
MS

# MS_InstMet Class Reference

`#include <MS_InstMet.hxx>`

Inheritance diagram for MS_InstMet:

[legend]

## Public Member Functions

Standard_EXPORT | MS_InstMet (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aClass)
Standard_EXPORT void | Static (const Standard_Boolean aStatic)
Standard_EXPORT Standard_Boolean | IsStatic () const
Standard_EXPORT void | Deferred (const Standard_Boolean aDeferred)
Standard_EXPORT Standard_Boolean | IsDeferred () const
Standard_EXPORT void | Redefined (const Standard_Boolean aRedefined)
Standard_EXPORT Standard_Boolean | IsRedefined () const
Standard_EXPORT void | ConstMode (const Standard_Integer aMode)
| set the mode to MSINSTMET_OUT or MSINSTMET_MUTABLE
Standard_EXPORT void | Const (const Standard_Boolean aConst)
| set the method to be out or mutable (undefined but const)
Standard_EXPORT Standard_Boolean | IsConst () const
| the method is not mutable and not out
Standard_EXPORT Standard_Boolean | IsMutable () const
Standard_EXPORT Standard_Boolean | IsOut () const
Standard_EXPORT void | Mode (const Standard_Integer aMode)
Standard_EXPORT Standard_Integer | GetMode () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myMode

## Constructor & Destructor Documentation

Standard_EXPORT MS_InstMet::MS_InstMet | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aClass
| ) |

## Member Function Documentation

Standard_EXPORT void MS_InstMet::Const | ( | const Standard_Boolean | aConst | ) |

Standard_EXPORT void MS_InstMet::ConstMode | ( | const Standard_Integer | aMode | ) |

Standard_EXPORT void MS_InstMet::Deferred | ( | const Standard_Boolean | aDeferred | ) |

Standard_EXPORT Standard_Integer MS_InstMet::GetMode | ( |  | ) | const

Standard_EXPORT const MS_InstMet::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MS_MemberMet.

Standard_EXPORT Standard_Boolean MS_InstMet::IsConst | ( |  | ) | const

Standard_EXPORT Standard_Boolean MS_InstMet::IsDeferred | ( |  | ) | const

Standard_EXPORT Standard_Boolean MS_InstMet::IsMutable | ( |  | ) | const

Standard_EXPORT Standard_Boolean MS_InstMet::IsOut | ( |  | ) | const

Standard_EXPORT Standard_Boolean MS_InstMet::IsRedefined | ( |  | ) | const

Standard_EXPORT Standard_Boolean MS_InstMet::IsStatic | ( |  | ) | const

Standard_EXPORT void MS_InstMet::Mode | ( | const Standard_Integer | aMode | ) |

Standard_EXPORT void MS_InstMet::Redefined | ( | const Standard_Boolean | aRedefined | ) |

Standard_EXPORT void MS_InstMet::Static | ( | const Standard_Boolean | aStatic | ) |

## Field Documentation

Standard_Integer MS_InstMet::myMode `[private]`

The documentation for this class was generated from the following file:

- MS_InstMet.hxx